version: "3.5"
services:
  jupyter:
    user: root
    tty: true
    restart: unless-stopped
    volumes:
            - /mnt/jupyter-data:/home/jovyan/work
            - /mnt/jupyter-config:/home/jovyan/.jupyter
    ports:
      - 18888:8888
    image: jupyter/tensorflow-notebook:latest
    environment:
      - CHOWN_HOME=yes      
      - GRANT_SUDO=yes
      - JUPYTER_ENABLE_LAB=yes
